# -*- coding: utf-8 -*-
# Generated by Django 1.11.17 on 2019-01-21 13:36
from __future__ import unicode_literals

from django.db import migrations, models


def round_amounts(apps, schema_editor):
    Invoice = apps.get_model('account_keeping', 'Invoice')
    for invoice in Invoice.objects.all():
        invoice.amount_gross = round(invoice.amount_gross, 2)
        invoice.amount_net = round(invoice.amount_net, 2)
        invoice.value_gross = round(invoice.value_gross, 2)
        invoice.value_net = round(invoice.value_net, 2)
    Transaction = apps.get_model('account_keeping', 'Transaction')
    for transaction in Transaction.objects.all():
        transaction.amount_gross = round(transaction.amount_gross, 2)
        transaction.amount_net = round(transaction.amount_net, 2)
        transaction.value_gross = round(transaction.value_gross, 2)
        transaction.value_net = round(transaction.value_net, 2)


class Migration(migrations.Migration):

    dependencies = [
        ('account_keeping', '0007_auto_20190121_1334'),
    ]

    operations = [
        migrations.RunPython(round_amounts),
        migrations.AlterField(
            model_name='invoice',
            name='vat',
            field=models.DecimalField(decimal_places=0, default=0, max_digits=14, verbose_name='VAT in %'),
        ),
    ]
